Skip to main content
`Ctrl`+`K`

# PetscDualSpaceGetInteriorSection

Create a `PetscSection` over the reference cell with the layout from this space for interior degrees of freedom

## Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscDualSpaceGetInteriorSection(PetscDualSpace sp, PetscSection *section)

Collective

## Input Parameter

- sp - The `PetscDualSpace`

## Output Parameter

- section - The interior section

## Note

Most reference domains have one cell, in which case the only cell will have all of the interior degrees of freedom in the interior section. But for `PETSCDUALSPACEREFINED` there may be other mesh points in the interior, and this section describes their layout.

## See Also

`PetscDualSpace`, `PetscSection`, `PetscDualSpaceCreate()`, `DMPLEX`

## Level

advanced

## Location

src/dm/dt/dualspace/interface/dualspace.c

Index of all DUALSPACE routines
Table of Contents for all manual pages
Index of all manual pages